Bug 116841 - FILEOPEN: Bullet list has no identation
Summary: FILEOPEN: Bullet list has no identation
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-04-06 09:23 UTC by Xisco Faulí
Modified: 2018-04-26 14:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison LibreOffice 6.1 and MSO 2010 (19.63 KB, image/png)
2018-04-06 09:23 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-04-06 09:23:57 UTC
Created attachment 141156 [details]
comparison LibreOffice 6.1 and MSO 2010

This is a follow-up of bug 116265

Steps to reproduce:
1. open attachment 140430 [details] from bug 116265

Observed behaviour: Bullet list is not indented. See attached image

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: abf9ec7bef2c341ad9c914fd909dd03b4a784f18
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2018-04-06 09:24:44 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2018-02-05 16:02:19 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-02-06 10:53:37 +0100
commit	03cee02464f230a2efa67d131c137f32fe540052 (patch)
tree	935f992c17b3e2895afca2861c4b6d850e991687
parent	03458f8e4609d00d7e9334a23d5f7f6fe8846e01 (diff)
tdf#115242 RTF import: order numPr before other paragraph properties
So that paragraph properties inherited from numbering properties can be
properly overwritten with direct formatting, even when we have to take
style deduplication into account.

The OOXML tokenizer already did this,
writerfilter::dmapper::DomainMapper::sprmWithProps()'s
NS_ooxml::LN_CT_NumPr_numId depends on this, so adapt the RTF tokenizer
accordingly.

Bisected with: bibisect-linux64-6.1 

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2018-04-24 09:14:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=810364653b8e5ef8578ae7c9fc2e3b9196e7cdc4

tdf#116841 RTF import: fix default value of left para margin from numbering

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-04-26 08:41:05 UTC
Verified in

Version: 6.1.0.0.alpha1+
Build ID: 653e58f9eb3d4ee61d8103993cdff2660c9127a5
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Miklos, thanks for fixing this!
Comment 4 Commit Notification 2018-04-26 14:18:53 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03b987372b680a8ecfac61d976c69f7443acba11&h=libreoffice-6-0

tdf#116841 RTF import: fix default value of left para margin from numbering

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.